/* Simple gauge sample, to test the C library */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <curses.h>
#include "../dialog.h"

static Dialog_desc desc; /* it must be filled with zeroes, at start */

int main(int argc, char **argv)
{
  int percent;
  char prompt[40];

  dialog_init();

  /* set the configured width and height, to avoid the full-size default */

  desc.c_wid=60;
  desc.c_hei=10;

  /* add some bells and whistles */
  desc.title="GAUGE LIBRARY SAMPLE";
  desc.backtitle="Only a sample";

  for (percent=0; percent<100; )
    {
    sprintf(prompt,"ETA: %i seconds",(100-percent)/5);

    dialog_gauge_update(&desc,prompt,percent);
    sleep(1);
    percent+=5;
    dialog_gauge_update(&desc,NULL,percent);
    usleep(100000);
    percent+=5;
    }
  dialog_gauge_end(&desc);


  /* add some bells and whistles */
  desc.title="FASTER SAMPLE";
  desc.backtitle="The last one";

  for (percent=0; percent<100; )
    {
    sprintf(prompt,"This time it will last %i seconds",(100-percent)/25);

    dialog_gauge_update(&desc,prompt,percent);
    sleep(1);
    percent+=20;
    dialog_gauge_update(&desc,NULL,percent);
    usleep(100000);
    percent+=5;
    }
  dialog_gauge_end(&desc);
  clear();
  refresh();
  dialog_end();
  return 0;
  }
